#
# spec file for package baekmuk-bitmap-fonts
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define	bitmap_fontdir  %{_fontsdir}/baekmuk
Name:           baekmuk-bitmap-fonts
Version:        2.2
Release:        1.5
Summary:        Baekmuk Fonts, Bitmap Version
License:        HPND
Group:          System/X11/Fonts
URL:            https://kldp.net/baekmuk/
Source0:        http://kldp.net/baekmuk/release/865-baekmuk-bdf-%{version}.tar.gz
Source1:        http://kldp.net/baekmuk/release/865-baekmuk-ttf-%{version}.tar.gz
# fonts.scale.baekmuk is very bare bones and works with both, freetype and xtt
Source20:       fonts.scale.baekmuk
Patch0:         baekmuk-gulim-medium-18-pixel-bitmap.patch
Patch1:         baekmuk-gulim-bold-18-pixel-bitmap.patch
Patch2:         baekmuk-bdf-fonts-fix-fonts-alias.patch
BuildRequires:  fontpackages-devel
Provides:       baekmuk = %{version}
Provides:       locale(xorg-x11:ko)
Obsoletes:      baekmuk < 2.1
BuildArch:      noarch
%reconfigure_fonts_prereq
BuildRequires:  bdftopcf
BuildRequires:  mkfontdir

%description
Baekmuk Fonts (Korean fonts for the X Window System, bitmap version).

%package -n   baekmuk-ttf-fonts
Summary:        Baekmuk Fonts, TrueType Version
Group:          System/X11/Fonts
Provides:       baekmuk-ttf = %{version}
Provides:       scalable-font-ko
Provides:       locale(ko)
Obsoletes:      baekmuk-ttf < 2.1

%description -n baekmuk-ttf-fonts
Baekmuk Fonts (Korean fonts for the X Window System, True Type
version).

%prep
%setup -q -c -a 1
pushd baekmuk-bdf-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p1
popd

%build
pushd baekmuk-bdf-%{version}
for file in bdf/*.bdf; do
  bdftopcf $file | gzip -9 > ${file%.bdf}.pcf.gz
done

%install
pushd baekmuk-ttf-%{version}/ttf
mkdir -p %{buildroot}%{_ttfontsdir}
install -c -m 644 *.ttf %{buildroot}%{_ttfontsdir}
install -c -m 644 %{SOURCE20} %{buildroot}%{_ttfontsdir}/fonts.scale.baekmuk
popd
pushd baekmuk-bdf-%{version}/bdf
mkdir -p %{buildroot}%{bitmap_fontdir}
install -c -m 644 *.pcf.gz %{buildroot}%{bitmap_fontdir}
install -c -m 644 fonts.alias %{buildroot}%{bitmap_fontdir}/fonts.alias
popd

mkfontdir %{buildroot}%{bitmap_fontdir}
%reconfigure_fonts_scriptlets -n baekmuk-bitmap-fonts
%reconfigure_fonts_scriptlets -c -n baekmuk-ttf-fonts

%files
%license baekmuk-bdf-%{version}/COPYRIGHT baekmuk-bdf-%{version}/COPYRIGHT.ks
%dir %{bitmap_fontdir}
%verify(not md5 size mtime) %{bitmap_fontdir}/fonts.dir
%{bitmap_fontdir}/fonts.alias
%{bitmap_fontdir}/*.pcf.gz

%files -n baekmuk-ttf-fonts
%license baekmuk-ttf-%{version}/COPYRIGHT
%dir %{_ttfontsdir}/
%{_ttfontsdir}/*.ttf
%config %{_ttfontsdir}/fonts.scale.baekmuk

%changelog
* Sat Apr 23 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to upstream version 2.2
  * No changelog available
- Use SourceURL
- Drop coditional parts of SPEC file for outdated versions
- Add baekmuk-bdf-fonts-fix-fonts-alias.patch
* Fri Dec 18 2020 Thomas Schraitle <thomas.schraitle@suse.com>
- Create new 2.1.1 release
- Fix bsc#1178540, download new archive
  Replace buggy version 2.0 post tables with version 3.0 ones, which
  indicate that the font doesn’t contain glyph names. This is common
  for CJK fonts that are accessed by character code only.
- Apply spec-cleaner
* Sat Apr 29 2017 bwiedemann@suse.com
- call gzip -n to make build fully reproducible
* Mon Apr 14 2014 kukuk@suse.de
- Fix typos in Obsoletes
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Mon Apr  2 2012 cfarrell@suse.com
- license update: HPND
  SPDX format (and choose the correct license)
* Fri Jan 20 2012 tiwai@suse.de
- fix build with older distros due to lack of freetype shlib
* Thu Dec 22 2011 tiwai@suse.de
- Renamed baekmuk -> baekmuk-bitmap-fonts and
  baekmuk-ttf -> baekmuk-ttf-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Thu Apr  8 2010 tiwai@suse.de
- removed unnecessary buildrequires for too old distros
* Wed Jan 23 2008 mfabian@suse.de
- remove NoSource tag, it was only there to save space, not
  because of license reasons.
- remove check for obsolete SuSE version.
* Mon Aug  7 2006 mfabian@suse.de
- add /usr/share/fonts/truetype directory to file list.
* Fri Aug  4 2006 mfabian@suse.de
- make it build again on STABLE (paths changed because of the
  move to Xorg X11R7).
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(...)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 10 2004 ro@suse.de
- use run_suseconfig_fonts also for main package
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts -c"
* Sun Oct 10 2004 schwab@suse.de
- Fix requires.
* Mon Sep 13 2004 mfabian@suse.de
- Bugzilla #45156: add "Provides: scalable-font-ko" to baekmuk-tff
  sub-package.
* Wed Jul 28 2004 mfabian@suse.de
- Bugzilla #37396: fix the glyphs for U+CAF4 in gulim18.bdf
  (new glyph received from Mitsuru CHINEN) and gulim18b.bdf.
* Thu Mar 18 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
- run SuSEconfig.ghostscript-cjk in %%post and %%postun of
  TrueType subpackage.
* Sat Feb 14 2004 mfabian@suse.de
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Sun Nov  2 2003 ro@suse.de
- updated neededforbuild
- don't build as root
* Fri Aug 29 2003 kukuk@suse.de
- Add %%verify for fonts.alias
* Fri Jun 13 2003 kukuk@suse.de
- Add missing directory to filelist
* Thu Oct 17 2002 mfabian@suse.de
- Bug #21024: remove old versions of bitmap fonts and
  fix fonts.alias
* Sat Oct 12 2002 mfabian@suse.de
- update to 2.1
- replace mkbold and mkitalic by newer and faster versions from
  the efont-unicode package and remove mkitalic-autobuild.patch
* Thu Mar  7 2002 mfabian@suse.de
- add ksx1001.1997-0 and iso10646-1 entries to fonts.scale
  (iso10646-1 entries '-p-', others '-m-')
* Mon Feb 11 2002 ro@suse.de
- tar option for bz2 is "j"
* Mon May 21 2001 mfabian@suse.de
- prepare a tarball containing the complete set of fonts, including
  the bold and italic versions, to avoid having to rebuild the
  bold and italic versions always on all architectures. Always
  rebuilding them burns a lot of build power, which is not
  available on some architectures. Especially the script used to
  generate the italic versions (awk script mkitalic) is
  extremely slow.
* Thu May  3 2001 mfabian@suse.de
- remove %%post and %%postun, it is enough when SuSEconfig
  updates the font directory, better don't duplicate the code
  here.
* Wed Mar  7 2001 mfabian@suse.de
- add xf86 to "# neededforbuild"
* Mon Jan 22 2001 violiet@suse.de
- update to gulim12.bdf and gulim12b.bdf.
* Tue Jan 16 2001 mfabian@suse.de
- removed superfluous pcf-files from sources, they are generated
  from the bdf-files anyway, therefore they are not needed.
* Fri Jan 12 2001 mfabian@suse.de
- use bzip2 instead of gzip for sources
- install a bare bones fonts.scale.baekmuk which is understood
  by both freetype and xtt. Using xtt's TTCap options it is
  possible to create bold and italic versions of regular fonts,
  which is a very nice feature. But if xtt's TTCap options are
  used in the fonts.dir of a directory with TrueType fonts,
  the whole directory won't work anymore with freetype.
  Therefore, I install a very simple fonts.scale.baekmuk for the
  time being, until we have a better idea what to do.
* Thu Jan 11 2001 mfabian@suse.de
- added the missing "mkbold"
  (used the "mkbold" by NAGAO, Sadakazu <snagao@cs.titech.ac.jp>)
* Thu Jan 11 2001 mfabian@suse.de
- fixed errors in spec-file.
- patched 'mkitalic' which caused autobuild to fail
* Tue Dec 26 2000 violiet@susekorea.net
- made baekmuk fonts bold and italic with mkbold and mkitalic
- new fonts.alias
- merged another 10pt
- modified fonts.dir and fonts.scale
* Tue Nov 28 2000 mfabian@suse.de
- changed name of subpackage "baekmukt" to "baekmuk-ttf"
- improved %%post and %%postun scripts. The previous version
  failed when this package was installed by autobuild into
  the buildsystem's chroot environment. I hope this is fixed now.
* Mon Nov 27 2000 mfabian@suse.de
- removed workaround in .spec file to prevent %%{?suse_check}
  from gzipping the fonts.scale.baekmuk file
  %%{?suse_check} works correctly now, this workaround is no longer
  needed.
* Fri Nov 24 2000 mfabian@suse.de
- changed directory to install the True Type fonts in to
  /usr/X11R6/lib/X11/fonts/truetype
- changed to new way of creating fonts.scale in
  /usr/X11R6/lib/X11/fonts/truetype to share it with other
  font packages which install in the same directory.
* Thu Oct  5 2000 mfabian@suse.de
- true type fonts were not correctly unpacked
* Tue Aug 29 2000 mfabian@suse.de
- tested whether mkfontdir is available
* Mon Aug 21 2000 mfabian@suse.de
- adapted .spec file to SuSE
* Sat Nov 20 1999 Sang-Jin Hwang, <accel@accellinux.org>
- update to 1.3
* Thu Nov 11 1999 Sang-Jin Hwang, <accel@accellinux.org>
- Accel Linux 6.1 build release.
* Fri Nov  5 1999 Seo, Young-Jin <yjseo@mizi.co.kr>
- upgrade to 1.2
* Wed Sep  1 1999 Woohyun JANG <louis@mizi.co.kr>
- add gulim12-19990901.bdf
* Wed Aug  4 1999 Seo, Young-Jin <yjseo@mizi.co.kr>
- ttf font name fields are corrected.
- Thanks Cha, Jae-Choon <jccha@knot.kaist.ac.kr>
* Tue Aug  3 1999 Woohyun JANG <louis@mizi.co.kr>
- add attr() in files section
* Thu Jul 29 1999 Woohyun JANG <louis@mizi.co.kr>
- add hconfig.ps.sample in baekmuk-doc package
* Mon Jul 26 1999 Woohyun JANG <louis@mizi.co.kr>
- add :unscaled. thanks to Kim Hyunchul <mindgame@plp.postech.ac.kr>
* Sat Jul 24 1999 Seo, Young-Jin <yjseo@mizi.co.kr>
- unscaled is removed from fontpath in post and postun script
* Thu Jul 22 1999 Woohyun JANG <louis@mizi.co.kr>
- bug fix in fonts.dir(in baekmuk-ttf)
* Thu Jul 22 1999 Woohyun JANG <louis@mizi.co.kr>
- initial release of baekmuk font
* Mon Jul  5 1999 Woohyun JANG <louis@mizi.co.kr>
- add %%triggerin
* Wed Jun 23 1999 Woohyun JANG <louis@mizi.co.kr>
- initial released
